import 'package:aegis_flutter_sdk/aegis_flutter_sdk.dart';

/// 使用单例模式，方便全局访问
/// 这里aegis支持多实例，业务可以根据自己的需求使用不同的引用方式
class AegisManager {
  factory AegisManager() => _instance;
  AegisManager._internal() {
    ageis = Aegis(
      Config(
        id: 'xxx', // 需要在RUM平台(https://console.cloud.tencent.com/rum)申请
        uin: 'xxxx',
        networkType: NetworkType.wifi,
        enablePageLoadTime: true,
        ext1: "ext1",
        ext2: "ext2",
        ext3: "ext3",
      ),
    );
  }
  static final AegisManager _instance = AegisManager._internal();
  late Aegis ageis;
  late int test;
}

final aegis = Aegis(
  Config(
    id: 'mXiCLeBmDmfentcSRP',
    uin: 'whitelistuin',
  ),
);
