import 'package:aegis_flutter_sdk/aegis_flutter_sdk.dart';
import 'package:flutter_test/flutter_test.dart';

import 'pipes/fakeAegis.dart';

void main() {
  FakeAegis ageis = FakeAegis(Config(id: '123', uin: 'uuin'));
  test('set config func', () {
    expect(ageis.config.id, '123');
    expect(ageis.config.uin, 'uuin');
    expect(ageis.bean.id, '123');
    expect(ageis.bean.id, 'uuin');
    ageis.setConfig(
        id: 'newId',
        uin: 'uin',
        aid: 'aid',
        ext1: 'ext1',
        ext2: 'ext2',
        ext3: 'ext3',
        version: 'version');
    expect(ageis.config.id, 'newId');
    expect(ageis.config.uin, 'uin');
    expect(ageis.config.aid, 'aid');
    expect(ageis.config.ext1, 'ext1');
    expect(ageis.config.ext2, 'ext2');
    expect(ageis.config.ext3, 'ext3');
    expect(ageis.config.version, 'version');
    expect(ageis.bean.id, 'newId');
    expect(ageis.bean.uin, 'uin');
    expect(ageis.bean.aid, 'aid');
    expect(ageis.bean.ext1, 'ext1');
    expect(ageis.bean.ext2, 'ext2');
    expect(ageis.bean.ext3, 'ext3');
    expect(ageis.bean.version, 'version');
  });
}
